﻿using System;
using System.Collections.Generic;

namespace Teachers.Models;

public partial class Teacher
{
    public int IdTeacher { get; set; }

    public string? Firstname { get; set; }

    public string? Lastname { get; set; }

    public string? Patronomic { get; set; }

    public int? Genderid { get; set; }

    public DateTime? Dateofbirth { get; set; }

    public int? Experience { get; set; }

    public string? Email { get; set; }

    public string? Phone { get; set; }

    public virtual Gender? Gender { get; set; }

    public virtual ICollection<Teachercourse> Teachercourses { get; set; } = new List<Teachercourse>();

    public virtual ICollection<Teacherdiscipline> Teacherdisciplines { get; set; } = new List<Teacherdiscipline>();
}
